develooper Front page | perl.perl5.porters | Postings from October 1999

[BUG? 5.005_62] Out of date modules in core.

From:
Michael G Schwern
Date:
October 16, 1999 18:45
Subject:
[BUG? 5.005_62] Out of date modules in core.
Message ID:
19991016214533.A3093@athens.aocn.com
The following modules are being distributed with 5.005_62 and are out
of date with respect to CPAN, some seriously so.
	Module			Distrib		Latest
	CGI				2.53		2.56
	Devel::Peek		0.95		0.96
	File::Spec::Mac	undef		1.0  (None of File::Spec::* has a version #)
	Pod::Text		1.01		2.03 (This might be conflicting with podlators)
	Test			1.13		1.14
	Text::Soundex	undef		2.20 (Holy crap, this is from 1994!)
	Text::Tabs		96.12120	98.11280	(December 1996?)
	Tie::Handle		undef		3.0

Others may be out of date due to a lack of $VERSION, (I suspect
File::Spec is)

I'd say that Text::Soundex should -definately- be upgraded.  The
version we're distributing is well over five years old and the new
version is written in C and should be significantly faster.

Text::Tabs should probably be upgraded as well, seeing as how we're
distributing a three year old version.

For the rest, we should wait for comments from their authors.  I've
CC'd each of them.

-- 

Michael G Schwern                                           schwern@pobox.com
                    http://www.pobox.com/~schwern
     /(?:(?:(1)[.-]?)?\(?(\d{3})\)?[.-]?)?(\d{3})[.-]?(\d{4})(x\d+)?/i



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About